<?php
include('config.php');
include('header.php');

// ---------------------------------------------------
require('model/Blogs.php');
$blog = new Blogs($pdo);

if (isset($_GET['id']) && is_numeric($_GET['id'])) {
  $blogId = intval($_GET['id']);
  $blogItem = $blog->getBlogById($blogId);
  $blogs = [$blogItem]; // Ensure $blogs is an array with one blog item
} else {
  echo "Invalid blog ID.";
  exit;
}
// ---------------------------------------------------
?>

<style>
/* Imported font: Inter */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;700;800&display=swap');

/* List of variables */
:root {
  /* Colors: */
  --bg: #16181d;
  --accent: #5686f5;
  --accent-10: #5686f510;
  --emphasis: #e8e8fd;
  --text: #98a0b3;
  /* Typography */
  --h1: 2.25rem;
  --h2: 1.5rem;
  --h3: 1.25rem;
  --paragraph: clamp(1rem, 0.875rem + 0.4vw, 1.125rem);
  --info-text: 1rem;
  --text-width-wide: 70ch;
  --text-width-medium: 60ch;
  --fw-bold: 700; 
  --fw-regular: 500;
  --fw-light: 300;
  /* Spacing */
  --spacing-xxs: 0.5em;
  --spacing-xs: 1em;
  --spacing-s: 1.5em;
  --spacing-m: 3em;
  --spacing-l: 6em;
  --spacing-xl: 8em;
  /* Misc */
  --radius-xs: 0.25em;
  --radius-s: 0.5em;
  --center-it: auto;
}

main {
  margin-top: var(--spacing-xl);
  padding-block: var(--spacing-m); 
}

article {
  margin: var(--center-it);
  max-width: var(--text-width-wide);
}

article > p ~ p {
  margin-bottom: var(--spacing-s);
}

h1 {
  color: var(--emphasis);
  margin-bottom: var(--spacing-s);
  font-size: var(--h1);
  font-weight: var(--fw-bold);
}

h2 {
  color: var(--emphasis);
  margin-bottom: var(--spacing-s);
  margin-top: var(--spacing-m);
  font-size: var(--h2);
  font-weight: var(--fw-bold);
}

h3 {
  color: var(--accent);
  margin-bottom: var(--spacing-s);
  font-size: var(--h3);
  font-weight: var(--fw-bold);
}

p {
  font-size: var(--paragraph);
  color: var(--text);
  line-height: 32px;
  letter-spacing: 0.25px;
}

em {
  color: var(--emphasis);
}

cite {
  font-weight: var(--fw-light);
  color: var(--emphasis);
  font-style: italic;
}

.info_block {
  display: flex;
  gap: 6px;
  margin-bottom: var(--spacing-xs);
}

.info {
  font-size: var(--info-text);
  color: var(--text);
}

.likes, .replies, .mentions {
  font-size: var(--info-text);
  color: var(--accent);
}

.last_update {
  display: inline-block;
  background-color: var(--accent-10);
  color: var(--accent);
  margin-bottom: var(--spacing-l);
  font-size: var(--info-text);
  padding: var(--spacing-xxs) var(--spacing-xs);
  border-radius: var(--radius-s);
}

.link {
  color: var(--accent);
  cursor: pointer;
}

img{
  width: 100%;
  margin-block: var(--spacing-m);
  border-radius: var(--radius-xs);
}

.highlight {
  margin: var(--center-it);
  margin-bottom: var(--spacing-m);
  background-color: var(--accent-10);
  max-width: var(--text-width-medium);
  border-radius: var(--radius-s);
  padding: var(--spacing-m);
}

@media screen and (max-width: 760px) {
  body {
    padding-inline: var(--spacing-s);
  }
  
  .info_block {
    flex-direction: column;
  }
  
  .highlight {
    padding: var(--spacing-s);
    max-width: var(--text-width-wide);
  }
}
</style>

<div class="main-container-fluid" style="background-color:#222222;">
  <div id="scroll-tracker"></div>
  
  <main style="margin-top:194px;">
    <?php if (!empty($blogs)): ?>
      <?php foreach ($blogs as $blogItem): ?>
        <article>
          <h1><?php echo htmlspecialchars($blogItem['title']); ?></h1>
          <div class="info_block">
            <p class="info"><?php echo date('F j, Y', strtotime($blogItem['created_at'])); ?> / 8min read</p>
            <p class="likes">&#8226; 124 likes</p>
            <p class="replies">&#8226; 12 replies</p>
            <p class="mentions">&#8226; 3 mentions</p>
          </div> 
          <div>
            <p class="last_update">Created  <?php echo date('F j, Y', strtotime($blogItem['created_at'])); ?></p>
          </div>
          <?php if (!empty($blogItem['image_path'])): ?>
            <img src="../../ourworld/uploads/<?php echo htmlspecialchars($blogItem['image_path']); ?>" alt="Blog Image">
          <?php endif; ?>
          <p><?php echo $blogItem['content']; ?></p>
        </article>
      <?php endforeach; ?>
    <?php else: ?>
      <p>No blogs found.</p>
    <?php endif; ?>
  </main>  
</div>

<?php include 'footer.php'; ?>
