<?php
require 'config.php';
require 'model/Dealer.php';

$response = ['success' => false, 'message' => ''];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Collect form data
    $name = $_POST['name'];
    $age = $_POST['age'];
    $qualification = $_POST['qualification'];
    $email = $_POST['email'];
    $mobile = $_POST['mobile'];
    $existing_business = $_POST['existing_business'];
    $business_name = $_POST['business_name'];
    $total_turnover = $_POST['total_turnover'];
    $own_dealership = isset($_POST['own_dealership']) ? 1 : 0;
    $dealership_premises = $_POST['dealership_premises'];
    $area_sqft = $_POST['area_sqft'];
    $frontage_ft = $_POST['frontage_ft'];
    $premises_address = $_POST['premises_address'];
    $proposed_investment = $_POST['proposed_investment'];
    $additional_details = $_POST['additional_details'];
    $pdf_application_path = '';

    // Handle file upload
    if (isset($_FILES['pdf_application']) && $_FILES['pdf_application']['error'] == 0) {
        $target_dir = "DealerApplication/";
        $target_file = $target_dir . basename($_FILES["pdf_application"]["name"]);

        if (!is_dir($target_dir)) {
            mkdir($target_dir, 0777, true); // Create directory with permissions
        }

        if (move_uploaded_file($_FILES["pdf_application"]["tmp_name"], $target_file)) {
            $pdf_application_path = $target_file;
        } else {
            $response['message'] = 'Error uploading file';
            echo json_encode($response);
            exit;
        }
    }

    // Prepare data for insertion
    $data = [
        'name' => $name,
        'age' => $age,
        'qualification' => $qualification,
        'email' => $email,
        'mobile' => $mobile,
        'existing_business' => $existing_business,
        'business_name' => $business_name,
        'total_turnover' => $total_turnover,
        'own_dealership' => $own_dealership,
        'dealership_premises' => $dealership_premises,
        'area_sqft' => $area_sqft,
        'frontage_ft' => $frontage_ft,
        'premises_address' => $premises_address,
        'proposed_investment' => $proposed_investment,
        'additional_details' => $additional_details,
        'pdf_application_path' => $pdf_application_path
    ];

    // Create a new Dealer instance and insert data
    $dealer = new Dealer($pdo);
    if ($dealer->createDealer($data)) {
        $response['success'] = true;
        $response['message'] = 'Dealer created successfully!';
    } else {
        $response['message'] = 'Error creating dealer';
    }

    echo json_encode($response);
    exit; // Exit to avoid further processing
}
?>
