<?php
class DealerModel
{
    private $pdo;

    public function __construct($db)
    {
        $this->pdo = $db;
    }

    public function saveDealerData($data, $applicant_images, $premises_images)
    {
        try {
            $this->pdo->beginTransaction();

            // Save dealer information
            $stmt = $this->pdo->prepare("
                INSERT INTO dealers_form (dealer_name, contact_email, contact_phone, status)
                VALUES (:dealer_name, :contact_email, :contact_phone, :status)
            ");
            $stmt->execute([
                ':dealer_name' => $data['dealer_name'],
                ':contact_email' => $data['contact_email'],
                ':contact_phone' => $data['contact_phone'],
                ':status' => 'pending' // Default status
            ]);
            $dealer_id = $this->pdo->lastInsertId();

            // Save applicant images
            $stmt = $this->pdo->prepare("
                INSERT INTO dealer_applicant_images (dealer_id, image_name)
                VALUES (:dealer_id, :image_name)
            ");
            foreach ($applicant_images as $image_name) {
                $stmt->execute([
                    ':dealer_id' => $dealer_id,
                    ':image_name' => $image_name
                ]);
            }

            // Save premises images
            $stmt = $this->pdo->prepare("
                INSERT INTO dealer_premises_images (dealer_id, image_name)
                VALUES (:dealer_id, :image_name)
            ");
            foreach ($premises_images as $image_name) {
                $stmt->execute([
                    ':dealer_id' => $dealer_id,
                    ':image_name' => $image_name
                ]);
            }

            $this->pdo->commit();
            return true;
        } catch (Exception $e) {
            $this->pdo->rollBack();
            throw $e;
        }
    }
}
