<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dealer Registration Form</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        .tab-content {
            margin-top: 20px;
        }

        label {
            margin-left: 5px;
        }

        .nav-tabs .nav-link {
            border-radius: 0;
            border: 1px solid #ddd;
            padding: 10px;
        }

        .nav-tabs .nav-link.active {
            border-color: #ddd #ddd #fff;
            background-color: #fff;
        }

        @media (max-width: 768px) {
            .nav-tabs {
                display: flex;
                flex-wrap: nowrap;
                overflow-x: auto;
            }

            .nav-tabs .nav-link {
                flex: 1 0 auto;
                text-align: center;
            }
        }

        .form-control {
            border-radius: 30px;
        }

        .form-row .col-md-4 {
            margin-bottom: 15px;
        }

        .btn {
            border-radius: 30px;
        }

        .tab-navigation-buttons {
            display: flex;
            justify-content: center;
            margin-top: 20px;
        }

        .tab-navigation-buttons .btn {
            margin: 0 10px;
        }

        .tab-navigation-buttons .btn-submit {
            display: none;
        }

        .d-none {
            display: none;
        }

        .image-preview {
            width: 150px;
            height: 150px;
            border-radius: 50%;
            object-fit: cover;
            display: none;
        }

        @media (max-width: 768px) {
            .image-container {
                order: -1;
                margin-bottom: 1rem;
            }
        }
    </style>
</head>

<body>

    <section id="variation" class="variation-section">
        <div class="container mb-4">
            <div class="row bg-light shadow">
                <div class="col-md-12 p-4">
                    <div class="col-md-12">
                        <div class="heading-wrapper text-center">
                            <h3 class="large-heading text-uppercase">Dealer Registration Form</h3>
                        </div>
                    </div>
                    <form id="dealerForm">
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a class="nav-link active" href="#tab1">1. Applicant Details</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#tab2">2. Existing Business Details</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#tab3">3. Proposed Premises Details</a>
                            </li>
                        </ul>
                        <div class="tab-content">

                            <div id="tab1" class="tab-pane fade show active">
                                <h3>Details of the Main Promoter</h3>

                                <!-- Image Upload and Preview -->
                                <div class="form-row p-2">
                                    <div class="col-md-12 image-container">
                                        <div class="mb-2">
                                            <label for="applicant_photo">Select Image</label>
                                            <input type="file" class="form-control-file" id="applicant_photo" name="applicant_photo" onchange="previewImage(event)">
                                        </div>
                                        <img id="imagePreview" class="image-preview" alt="Image Preview">
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="promotors">Total Promoters</label>
                                        <input type="text" class="form-control" id="promotors" name="promotors" placeholder="Total Promotors" >
                                    </div>
                                </div>

                                <!-- Applicant Details -->
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="name">Name</label>
                                        <input type="text" class="form-control" id="name" name="name" placeholder="Name" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="email">Email</label>
                                        <input type="email" class="form-control" id="email" name="email" placeholder="Email" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="dob">Date Of Birth</label>
                                        <input type="date" class="form-control" id="dob" name="dob" placeholder="Date Of Birth" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="mobile">Mobile</label>
                                        <input type="tel" class="form-control" id="mobile" name="mobile" placeholder="Mobile" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="age">Age</label>
                                        <input type="number" class="form-control" id="age" name="age" placeholder="Age" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="sex">Gender</label>
                                        <select class="form-control" id="sex" name="sex" >
                                            <option value="">Select Gender</option>
                                            <option value="Male">Male</option>
                                            <option value="Female">Female</option>
                                            <option value="Other">Other</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="marital_status">Marital Status</label>
                                        <select class="form-control" id="marital_status" name="marital_status" >
                                            <option value="">Marital Status</option>
                                            <option value="Single">Single</option>
                                            <option value="Married">Married</option>
                                            <option value="Divorce">Divorce</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="adhar_card">Aadhar Card</label>
                                        <input type="text" class="form-control" id="adhar_card" name="adhar_card" placeholder="Aadhar Card" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="residence_pin">Pin Code</label>
                                        <input type="text" class="form-control" id="residence_pin" name="residence_pin" placeholder="Residence Pin Code" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="citizenship">Citizenship</label>
                                        <input type="text" class="form-control" id="citizenship" name="citizenship" placeholder="Citizenship" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="state">Select State</label>
                                        <select class="form-control" id="state" name="state" >
                                            <option value="">Not Selected</option>
                                            <option value="Maharashtra">Maharashtra</option>
                                            <option value="UP">UP</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-6 mb-2">
                                        <label for="city">City</label>
                                        <input type="text" class="form-control" id="city" name="city" placeholder="Location/City Applied For" >
                                    </div>
                                </div>

                                <h5>Residence Details</h5>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="residence_email">Email</label>
                                        <input type="email" class="form-control" id="residence_email" name="residence_email" placeholder="Residence Email" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="residence_mobile">Mobile</label>
                                        <input type="tel" class="form-control" id="residence_mobile" name="residence_mobile" placeholder="Mobile Number" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="residence_telephone">Telephone</label>
                                        <input type="text" class="form-control" id="residence_telephone" name="residence_telephone" placeholder="Residence Telephone" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="residence_fax">Fax</label>
                                        <input type="text" class="form-control" id="residence_fax" name="residence_fax" placeholder="Residence Fax" >
                                    </div>
                                    <div class="col-md-6 mb-2">
                                        <label for="residence_address">Residence Address</label>
                                        <textarea class="form-control" id="residence_address" name="residence_address" placeholder="Residence Address" ></textarea>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="residence_pin">Pin Code</label>
                                        <input type="number" class="form-control" id="residence_pin" name="residence_pin" placeholder="Enter Pin Code" >
                                    </div>
                                </div>

                                <h5>Office Details</h5>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="office_pin">Pin Code</label>
                                        <input type="number" class="form-control" id="office_pin" name="office_pin" placeholder="Enter Pin Code" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="office_email">Email</label>
                                        <input type="email" class="form-control" id="office_email" name="office_email" placeholder="Office Email" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="office_telephone">Telephone</label>
                                        <input type="text" class="form-control" id="office_telephone" name="office_telephone" placeholder="Office Telephone" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="office_fax">Fax</label>
                                        <input type="text" class="form-control" id="office_fax" name="office_fax" placeholder="Office Fax" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="office_mobile">Mobile</label>
                                        <input type="text" class="form-control" id="office_mobile" name="office_mobile" placeholder="Office Mobile" >
                                    </div>
                                </div>

                                <h5 class="mt-4">Education Details</h5>
                                <div class="text-right">
                                    <button type="button" class="btn btn-dark mt-2" onclick="addEducation()">Add More Education</button>
                                </div>
                                <div id="education-container" class="form-row p-2">
                                    <div class="education-entry col-md-12">
                                        <div class="form-row">
                                            <div class="col-md-4 mb-2">
                                                <label for="education">Degree</label>
                                                <select class="form-control" name="education[]" >
                                                    <option value="">Select Education</option>
                                                    <option value="Graduation">Graduation</option>
                                                    <option value="Post-Graduation">Post-Graduation</option>
                                                    <option value="Automobile Related Degree">Any Automobile Related Degree</option>
                                                    <option value="Other Degree">Other Degree</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4 mb-2">
                                                <label for="institute">Institute</label>
                                                <input type="text" class="form-control" name="institute[]" placeholder="College/University" >
                                            </div>
                                            <div class="col-md-4 mb-2">
                                                <label for="year_of_passout">Year Of Passout</label>
                                                <select class="form-control year_of_passout" name="year_of_passout[]" >
                                                    <option value="">Select Year</option>
                                                    <!-- Populate years dynamically if needed -->
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>





                            <div id="tab2" class="tab-pane fade">
                                <!-- Existing Business Details -->
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="business_name">Business Name</label>
                                            <input type="text" class="form-control" id="business_name" name="business_name" placeholder="Business Name" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="business_email">Business Email</label>
                                            <input type="email" class="form-control" id="business_email" name="business_email" placeholder="Business Email" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="business_mobile">Business Mobile</label>
                                            <input type="tel" class="form-control" id="business_mobile" name="business_mobile" placeholder="Business Mobile" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="years_in_business">Total Years in Business</label>
                                            <input type="number" class="form-control" id="years_in_business" name="years_in_business" placeholder="Years in Business" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="total_turnover">Total Turnover of all Business</label>
                                            <input type="text" class="form-control" id="total_turnover" name="total_turnover" placeholder="Total Turnover" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="net_worth">Net Worth</label>
                                            <input type="text" class="form-control" id="net_worth" name="net_worth" placeholder="Net Worth" >
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="itr">3 Year ITR</label>
                                            <select class="form-control" id="itr" name="itr" >
                                                <option value="">Do you have 3 year ITR?</option>
                                                <option value="Yes">Yes</option>
                                                <option value="No">No</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <div class="form-group">
                                            <label for="automobile_dealership">Do you own any automobile dealership?</label>
                                            <select class="form-control" id="automobile_dealership" name="automobile_dealership" >
                                                <option value="">Select Option</option>
                                                <option value="Yes">Yes</option>
                                                <option value="No">No</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <!-- Hidden section for automobile dealership details -->
                                <div id="dealership_details" style="display: none;">
                                    <h3>Business Details if Exist</h3>
                                    <div class="form-row p-2">
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="business_profit">Annual Profit</label>
                                                <input type="text" class="form-control" id="business_profit" name="business_profit" placeholder="Annual Profit" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="business_assets">Assets</label>
                                                <input type="text" class="form-control" id="business_assets" name="business_assets" placeholder="Assets" >
                                            </div>
                                        </div>
                                        <!-- -----Existing Business---- -->
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="existing_business_name">Business Name</label>
                                                <input type="text" class="form-control" id="existing_business_name" name="existing_business_name" placeholder="Business Name" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="product_brand">Product/Brand</label>
                                                <input type="text" class="form-control" id="product_brand" name="product_brand" placeholder="Product/Brand" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="nature_of_business">Nature of Business</label>
                                                <input type="text" class="form-control" id="nature_of_business" name="nature_of_business" placeholder="Nature of Business" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="stake">Stake</label>
                                                <input type="text" class="form-control" id="stake" name="stake" placeholder="Stake" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="annual_turnover">Annual Turnover</label>
                                                <input type="text" class="form-control" id="annual_turnover" name="annual_turnover" placeholder="Annual Turnover" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="spare_parts_sales">Spare Parts Sales (Per Month) in Lacs</label>
                                                <input type="text" class="form-control" id="spare_parts_sales" name="spare_parts_sales" placeholder="Spare Parts Sales" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="product_sales">Product Sales (Per Month) in Lacs</label>
                                                <input type="text" class="form-control" id="product_sales" name="product_sales" placeholder="Product Sales" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="no_of_employees">Number of Employees</label>
                                                <input type="text" class="form-control" id="no_of_employees" name="no_of_employees" placeholder="Number of Employees" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="no_of_promotors">Number of Promotors</label>
                                                <input type="text" class="form-control" id="no_of_promotors" name="no_of_promotors" placeholder="Number of Promotors" >
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2">
                                            <div class="form-group">
                                                <label for="total_investment">Total Investment (Including Land & Building) in Lacs</label>
                                                <input type="text" class="form-control" id="total_investment" name="total_investment" placeholder="Total Investment" >
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div id="tab3" class="tab-pane fade">
                                <!-- Proposed Premises Details / Location Details -->
                                <h3>Proposed Premises Details / Location Details</h3>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="premises_location">Name of the firm Proposed</label>
                                        <input type="text" class="form-control" id="premises_location" name="premises_location" placeholder="Premises Name" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="premises_constitution">Constitution of proposed firm</label>
                                        <input type="text" class="form-control" id="premises_constitution" name="premises_constitution" placeholder="Pvt.ltd/Public ltd. Company/ Partnership/Firm/ Proprietorship" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="premises_address">Address of Proposed Land/Building</label>
                                        <input type="text" class="form-control" id="premises_address" name="premises_address" placeholder="Address" >
                                    </div>

                                    <div class="col-md-4 mb-2">
                                        <label for="dealership_premises">Type of Premises</label>
                                        <select class="form-control yz" id="dealership_premises" name="dealership_premises" style="border-radius:30px;" >
                                            <option value="">Select Dealership Premises</option>
                                            <option value="Own">Own</option>
                                            <option value="Leased">Leased</option>
                                            <option value="Rented">Rented</option>
                                            <option value="Not finalized">Not finalized</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="premises_area">Area of Proposed Location (in Sq.FT):</label>
                                        <input type="text" class="form-control" id="premises_area" name="premises_area" placeholder="Area" >
                                    </div>
                                </div>
                                <h5>Expected Annual Sales Volume:</h5>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="year_1_rent_amount">Year 1</label>
                                        <input type="text" class="form-control" id="year_1_rent_amount" name="year_1_rent_amount" placeholder="Monthly Rent Amount (if rented)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="year_2_rent_agreement">Year 2</label>
                                        <input type="text" class="form-control" id="year_2_rent_agreement" name="year_2_rent_agreement" placeholder="Rent Agreement Validity (if rented)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="year_3_property_owner">Year 3</label>
                                        <input type="text" class="form-control" id="year_3_property_owner" name="year_3_property_owner" placeholder="Property Owner Name (if rented)" >
                                    </div>
                                </div>

                                <div class="form-row p-2">
                                    <div class="mb-2">
                                        <label for="premises_image">Upload Premises Image</label>
                                        <input type="file" class="form-control-file" id="premises_image" name="premises_image" multiple>
                                    </div>
                                </div>
                                <div id="image-preview-container" class="form-row p-2"></div>

                                <!-- Additional Finance Questions -->
                                <h3>Additional Finance Details</h3>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="investment_maximum">How much are you prepared to invest (including land & building) in this dealership? (give maximum amount)</label>
                                        <input type="text" class="form-control" id="investment_maximum" name="investment_maximum" placeholder="OWN FUNDS (Rs. Lacs)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="term_loan">Term Loan: (Rs. Lacs)</label>
                                        <input type="text" class="form-control" id="term_loan" name="term_loan" placeholder="TERM LOAN (Rs. Lacs)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="financial_institution">From (Name of Financial Institution/Bank)</label>
                                        <input type="text" class="form-control" id="financial_institution" name="financial_institution" placeholder="NAME OF FINANCIAL INSTITUTION/BANK" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="working_capital_amount">Please specify the amount of working capital proposed for the dealership.</label>
                                        <input type="text" class="form-control" id="working_capital_amount" name="working_capital_amount" placeholder="OWN FUNDS (Rs. Lacs)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="working_capital_loan">Term Loan: (Rs. Lacs)</label>
                                        <input type="text" class="form-control" id="working_capital_loan" name="working_capital_loan" placeholder="TERM LOAN (Rs. Lacs)" >
                                    </div>
                                    <div class="col-md-4 mb-2">
                                        <label for="working_capital_financial_institution">From (Name of Financial Institution/Bank)</label>
                                        <input type="text" class="form-control" id="working_capital_financial_institution" name="working_capital_financial_institution" placeholder="NAME OF FINANCIAL INSTITUTION/BANK" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="net_worth_investment">Of your net worth, how much are you willing to invest (maximum) in the Loyal Infield two-wheeler dealership?</label>
                                        <input type="text" class="form-control" id="net_worth_investment" name="net_worth_investment" placeholder="AMOUNT (Rs. Lacs)" >
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-4 mb-2">
                                        <label for="liquidate_assets_option">Does the provision of this amount require you to liquidate some assets?</label>
                                        <select class="form-control" id="liquidate_assets_option" name="liquidate_assets_option" >
                                            <option value="">Select</option>
                                            <option value="yes">YES</option>
                                            <option value="no">NO</option>
                                        </select>
                                    </div>
                                    <div class="col-md-8 mb-2">
                                        <label for="liquidated_assets_details">If yes, please give details of the assets which would be liquidated and when can they be made available for Loyal Two Wheeler Dealership?</label>
                                        <textarea class="form-control" id="liquidated_assets_details" name="liquidated_assets_details" placeholder="Details of Assets to be Liquidated"></textarea>
                                    </div>
                                </div>
                                <div class="form-row p-2">
                                    <div class="col-md-12 mb-2">
                                        <label for="funds_other_than_liquidation_details">If funds to be invested are not readily available in cash, and will be provided by means other than liquidation of assets, please provide details of how these funds will be raised.</label>
                                        <textarea class="form-control" id="funds_other_than_liquidation_details" name="funds_other_than_liquidation_details" placeholder="Details of Funds Raised Through Other Means"></textarea>
                                    </div>
                                </div>
                            </div>





                        </div>
                        <div class="tab-navigation-buttons">
                            <button type="button" class="btn btn-info prev py-1 px-3">Previous</button>
                            <button type="button" class="btn btn-info next py-1 px-3">Next</button>
                            <button type="submit" class="btn btn-success btn-submit  py-1 px-3" id="submitButton">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function() {
            var $tabs = $('.nav-tabs .nav-link');
            var $tabContents = $('.tab-pane');

            function showTab(index) {
                $tabs.removeClass('active');
                $tabContents.removeClass('show active');
                $($tabs[index]).addClass('active');
                $($tabContents[index]).addClass('show active');
                updateButtons(index);
            }

            function updateButtons(index) {
                $('.prev').toggle(index > 0);
                $('.next').toggle(index < $tabs.length - 1);
                $('.btn-submit').toggle(index === $tabs.length - 1);
            }

            $('.next').click(function() {
                var index = $tabs.index($('.nav-tabs .nav-link.active'));
                if (index < $tabs.length - 1) {
                    showTab(index + 1);
                }
            });

            $('.prev').click(function() {
                var index = $tabs.index($('.nav-tabs .nav-link.active'));
                if (index > 0) {
                    showTab(index - 1);
                }
            });

            $('select[name="liquidate_assets"]').change(function() {
                if ($(this).val() === 'Yes') {
                    $('#assets_details').removeClass('d-none');
                } else {
                    $('#assets_details').addClass('d-none');
                }
            });

            $('select[name="funds_other_than_liquidation"]').change(function() {
                if ($(this).val() === 'No') {
                    $('#funds_other_than_liquidation').removeClass('d-none');
                } else {
                    $('#funds_other_than_liquidation').addClass('d-none');
                }
            });
        });

        function previewImage(event) {
            const reader = new FileReader();
            reader.onload = function() {
                const output = document.getElementById('imagePreview');
                output.src = reader.result;
                output.style.display = 'block';
            };
            reader.readAsDataURL(event.target.files[0]);
        }

        let educationCount = 1;

        function populateYearOptions(selectElement) {
            const currentYear = new Date().getFullYear();
            for (let year = currentYear; year >= 1980; year--) {
                const option = document.createElement('option');
                option.value = year;
                option.textContent = year;
                selectElement.appendChild(option);
            }
        }

        function addEducation() {
            if (educationCount >= 3) {
                alert('You can only add up to 3 education entries.');
                return;
            }

            educationCount++;

            const container = document.getElementById('education-container');
            const newEntry = document.createElement('div');
            newEntry.classList.add('education-entry', 'col-md-12');
            newEntry.innerHTML = `
        <div class="form-row">
            <div class="col-md-4 mb-2">
                <label for="education">Degree</label>
                <select class="form-control" name="education" >
                    <option value="">Select Education</option>
                    <option value="Graduation">Graduation</option>
                    <option value="Post-Graduation">Post-Graduation</option>
                    <option value="Automobile Related Degree">Any Automobile Related Degree</option>
                    <option value="Other Degree">Other Degree</option>
                </select>
            </div>
            <div class="col-md-4 mb-2">
                <label for="institute">Institute</label>
                <input type="text" class="form-control" name="institute" placeholder="College/University" >
            </div>
            <div class="col-md-4 mb-2">
                <label for="year_of_passout">Year Of Passout</label>
                <select class="form-control year_of_passout" name="year_of_passout" >
                    <option value="">Select Year</option>
                </select>
            </div>
        </div>
    `;
            container.appendChild(newEntry);

            // Populate year options for the new entry
            const yearSelect = newEntry.querySelector('.year_of_passout');
            populateYearOptions(yearSelect);
        }

        // Populate year options for the initial entry on page load
        document.addEventListener('DOMContentLoaded', function() {
            const initialYearSelect = document.querySelector('.year_of_passout');
            populateYearOptions(initialYearSelect);
        });



        //automatically add if field for business details if user select yes 
        document.getElementById('automobile_dealership').addEventListener('change', function() {
            var dealershipDetails = document.getElementById('dealership_details');
            if (this.value === 'Yes') {
                dealershipDetails.style.display = 'block';
            } else {
                dealershipDetails.style.display = 'none';
            }
        });


        const maxImages = 5;
        let selectedImages = [];

        function handleImageSelection(event) {
            const files = Array.from(event.target.files);
            const previewContainer = document.getElementById('image-preview-container');

            if (selectedImages.length + files.length > maxImages) {
                alert(`You can only upload up to ${maxImages} images.`);
                return;
            }

            selectedImages = selectedImages.concat(files).slice(0, maxImages);

            previewContainer.innerHTML = ''; // Clear existing previews
            selectedImages.forEach(file => {
                const reader = new FileReader();
                reader.onload = function(e) {
                    const img = document.createElement('img');
                    img.src = e.target.result;
                    img.style.width = '50px';
                    img.style.height = '50px';
                    img.style.borderRadius = '50%';
                    img.style.margin = '5px';
                    previewContainer.appendChild(img);
                }
                reader.readAsDataURL(file);
            });
        }

        document.getElementById('premises_image').addEventListener('change', handleImageSelection);

        //  Form ajax code start here 
        $(document).ready(function() {
            $('.btn-submit').click(function() {
                var formData = new FormData($('#dealerForm')[0]);
                $.ajax({
                    url: 'dealer_form.php', // Replace with your PHP script URL
                    type: 'POST',
                    data: formData,
                    contentType: false,
                    processData: false,
                    success: function(response) {
                        if (response.success) {
                            alert('Form submitted successfully!');
                            // Optionally, you can redirect or reset the form here
                            $('#dealerForm')[0].reset();
                        } else {
                            alert('Failed to submit form: ' + response.error);
                        }
                    },
                    error: function() {
                        alert('An error occurred while submitting the form.');
                    }
                });
            });
        });
    </script>
</body>

</html>