<?php
require 'header.php';
require 'config.php';
require 'model/rides_events.php';

$ridesEvents = new RidesEvents($pdo);
$images = $ridesEvents->getGalleryImages();
$events = $ridesEvents->getEvents();
?>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

<style>
    .portfolio-menu {
        text-align: center;
    }
    .portfolio-menu ul li {
        display: inline-block;
        margin: 0;
        list-style: none;
        padding: 10px 15px;
        cursor: pointer;
        transition: all .5s ease;
    }
    .portfolio-item {
        width: 100%;
    }
    .portfolio-item .item {
        float: left;
        margin-bottom: 10px;
        /* Optional: If you want a grid layout with uniform gaps */
        padding: 0 5px;
    }
    .portfolio-item .item img {
        width: 100%; /* Ensures the image covers the width of the container */
        height: 200px; /* Set a fixed height for all images */
        object-fit: cover; /* Ensures the image covers the area while maintaining aspect ratio */
        border-radius: 8px; /* Optional: Adds rounded corners */
    }
</style>

<div class="main-container bg-black">
    <section class="Rides mt-5 pt-5">
        <div class="container-fluid">
            <div class="portfolio-item row">
                <?php foreach ($images as $image): ?>
                <div class="item selfie col-lg-3 col-md-4 col-6 col-sm">
                    <a data-fancybox="images" href="../../static/ridesandevents/wallpaper-static/<?php echo htmlspecialchars($image['image_path']); ?>"> 
                        <img src="../../static/ridesandevents/wallpaper-static/<?php echo htmlspecialchars($image['image_path']); ?>" class="card-img-top rounded" alt="Motorcycle">
                    </a>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </section>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    $("[data-fancybox]").fancybox({
        buttons: [
            "slideShow",
            "share",
            "zoom",
            "fullScreen",
            "close"
        ],
        thumbs: {
            autoStart: true // Show thumbnails by default
        }
    });
});

$('.portfolio-item').isotope({
    itemSelector: '.item',
    layoutMode: 'fitRows'
});

$('.portfolio-menu ul li').click(function(){
    $('.portfolio-menu ul li').removeClass('active');
    $(this).addClass('active');
    
    var selector = $(this).attr('data-filter');
    $('.portfolio-item').isotope({
        filter: selector
    });
    return false;
});
</script>

<?php include 'footer.php'; ?>
